#!/bin/bash
# Check to see if this is perhaps not a new installation.
# If it is not a new installation the user may have installed
# fonts other than those as included in this package so let's
# make everything right.

if [ -e usr/bin/mkfontscale ] && [ -e usr/lib/libfontenc.so.1 ]; then
	( cd usr/share/fonts/100dpi ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/75dpi ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/cyrillic ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/encodings/ ; mkfontscale -e . )
	( cd usr/share/fonts/encodings/large/ ; mkfontscale -e . )
	( cd usr/share/fonts/misc ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/OTF ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/Speedo ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/TTF ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/Type1 ; mkfontscale . && mkfontdir . )
	( cd usr/share/fonts/util ; mkfontscale . && mkfontdir . )
fi

fc-cache

# Check to see if the user is running the X server at the time
# of this package's installation and if that's the case let's refresh
# so that the user may use the fonts immediately.

if [ "$DISPLAY" ] ; then
  xset fp rehash
fi
( cd etc/fonts/conf.d ; rm -rf 59-liberation-fonts.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/59-liberation-fonts.conf 59-liberation-fonts.conf )
