#!/bin/bash

# Automates the packaging process of the software "xorg-fonts-base" for
# use with Zenwalk Linux.
#	
# Copyright (C) 2009 Michael Verret <michael.verret@gmail.com>

# Summary:	X.Org X Window System fonts
# Name:		xorg-fonts-base
# License:	MIT and Lucida and Public Domain
# Group:	User Interface/X
# URL:		http://www.x.org

# BuildRequires: 

# Source:	http://ftp.nluug.nl/os/Linux/distr/zenwalk/source/x/xorg-fonts-base/d3-calligraphism-ttf-1.1.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/encodings-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-adobe-100dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-adobe-75dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-adobe-utopia-100dpi-1.0.1.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-adobe-utopia-75dpi-1.0.1.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-adobe-utopia-type1-1.0.1.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-alias-1.0.1.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-arabic-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bh-100dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bh-75dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bh-lucidatypewriter-100dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bh-lucidatypewriter-75dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bh-ttf-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bh-type1-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bitstream-100dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bitstream-75dpi-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-bitstream-type1-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-cronyx-cyrillic-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-cursor-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-daewoo-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-dec-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-ibm-type1-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-isas-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-jis-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-micro-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-misc-cyrillic-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-misc-ethiopic-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-misc-meltho-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-misc-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-mutt-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-schumacher-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-screen-cyrillic-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-sony-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-sun-misc-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-winitzki-cyrillic-1.0.0.tar.bz2
# Source:	http://xorg.freedesktop.org/releases/individual/font/font-xfree86-type1-1.0.0.tar.bz2
# Source:	http://cvs.fedora.redhat.com/repo/pkgs/liberation-fonts/liberation-fonts-1.04.93.devel.tar.gz/01e9083d6e55f83ae9344521f8a9739a/liberation-fonts-1.04.93.devel.tar.gz



# Variables:
#_______________________________________________________________________



Source_Name=" "
Software_Name="xorg-fonts-base"
Source_Version="7.4"
Software_Version="${Source_Version}"
Release="60"
Build="1"

Flag_Arch='i486'
Flag_Tune='i686'
Package_Arch="noarch"

Special_Docs=" "
Standard_Docs="AUTHORS BUGS COPYING ChangeLog INSTALL LICENSE NEWS README"

Build_Root=$(pwd)
Package="${Software_Name}-${Software_Version}-${Package_Arch}-${Release}.${Build}"
Installation_Root="${Build_Root}/${Package}"

Sources_TTF=" \
	d3-calligraphism-ttf-1.1.tar.bz2 \
	font-bh-ttf-1.0.0.tar.bz2 \
	liberation-fonts-1.04.93.devel.tar.bz2"
Sources_encodings=" \
	encodings-1.0.0.tar.bz2"
Sources_font_alias=" \
	font-alias-1.0.1.tar.bz2"
Sources_Fonts=" \
	font-adobe-100dpi-1.0.0.tar.bz2 \
	font-adobe-75dpi-1.0.0.tar.bz2 \
	font-adobe-utopia-100dpi-1.0.1.tar.bz2 \
	font-adobe-utopia-75dpi-1.0.1.tar.bz2 \
	font-adobe-utopia-type1-1.0.1.tar.bz2 \
	font-arabic-misc-1.0.0.tar.bz2 \
	font-bh-100dpi-1.0.0.tar.bz2 \
	font-bh-75dpi-1.0.0.tar.bz2 \
	font-bh-lucidatypewriter-100dpi-1.0.0.tar.bz2 \
	font-bh-lucidatypewriter-75dpi-1.0.0.tar.bz2 \
	font-bh-type1-1.0.0.tar.bz2 \
	font-bitstream-100dpi-1.0.0.tar.bz2 \
	font-bitstream-75dpi-1.0.0.tar.bz2 \
	font-bitstream-type1-1.0.0.tar.bz2 \
	font-cronyx-cyrillic-1.0.0.tar.bz2 \
	font-cursor-misc-1.0.0.tar.bz2 \
	font-daewoo-misc-1.0.0.tar.bz2 \
	font-dec-misc-1.0.0.tar.bz2 \
	font-ibm-type1-1.0.0.tar.bz2 \
	font-isas-misc-1.0.0.tar.bz2 \
	font-jis-misc-1.0.0.tar.bz2 \
	font-micro-misc-1.0.0.tar.bz2 \
	font-misc-cyrillic-1.0.0.tar.bz2 \
	font-misc-ethiopic-1.0.0.tar.bz2 \
	font-misc-meltho-1.0.0.tar.bz2 \
	font-misc-misc-1.0.0.tar.bz2 \
	font-mutt-misc-1.0.0.tar.bz2 \
	font-schumacher-misc-1.0.0.tar.bz2 \
	font-screen-cyrillic-1.0.0.tar.bz2 \
	font-sony-misc-1.0.0.tar.bz2 \
	font-sun-misc-1.0.0.tar.bz2 \
	font-winitzki-cyrillic-1.0.0.tar.bz2 \
	font-xfree86-type1-1.0.0.tar.bz2"
Patches=" "
Scripts=" \
	build-${Software_Name}.sh \
	xorg-fonts-base-doinst.sh.gz"
Miscellaneous=" \
	59-liberation-fonts.conf.gz"



# Clean & Prep:
#_______________________________________________________________________



# Remove cruft and create Installation_Root
	rm -rf ${Package}* ${Package}-src* 1>/dev/null 2>&1
	mkdir ${Installation_Root}
# Check For Necessary Files
	for File in ${Sources_TTF} ${Sources_encodings} ${Sources_font_alias} ${Sources_Fonts} ${Patches} ${Scripts} ${Miscellaneous} ; do
		echo -n "${File} :"
		if [ -e ${File} ]; then
			echo " OK"
		else
			echo " MISSING !"
			exit 1
		fi
	done
# Add A Package Description File:
mkdir -p ${Installation_Root}/install
cat <<EOF0 > ${Installation_Root}/install/slack-desc 
               |-----handy-ruler------------------------------------------------------|
xorg-fonts-base: xorg-fonts-base (X.Org X Window System fonts)
xorg-fonts-base:
xorg-fonts-base: This package contains fonts for use with X Window System
xorg-fonts-base: including but not limited to Central and Western European,
xorg-fonts-base: Arabic, Chinese, Indic, Japanese, Korean, Turkish and
xorg-fonts-base: Welsh languages. Fonts for Euro and Cyrillic support are
xorg-fonts-base: also provided.
xorg-fonts-base:
xorg-fonts-base:
xorg-fonts-base:
xorg-fonts-base:
EOF0
# Install Build Scripts Patches and Miscellaneous Items:
	mkdir -p ${Installation_Root}/usr/src/${Software_Name}-${Software_Version}
	cp ${Patches} ${Scripts} ${Miscellaneous} \
	${Installation_Root}/usr/src/${Software_Name}-${Software_Version}/
# Create X font directories:
	(
		mkdir -p ${Installation_Root}/usr/share/fonts
		cd ${Installation_Root}/usr/share/fonts/
		mkdir -p 100dpi	75dpi  OTF  Speedo  TTF  Type1 cyrillic  encodings  misc util
	)



# Build TTF fonts:
#_______________________________________________________________________



for File in ${Sources_TTF} ; do
	Source_Dir="$(basename ${File} .tar.bz2)"
	rm -rf ${Source_Dir}
	tar jxvf ${File}
	cd ${Source_Dir}
# Ensure proper permissions and ownership:
	chown -R root:root .
	find . -perm 666 -exec chmod 644 {} \;
	find . -perm 664 -exec chmod 644 {} \;
	find . -perm 600 -exec chmod 644 {} \;
	find . -perm 444 -exec chmod 644 {} \;
	find . -perm 400 -exec chmod 644 {} \;
	find . -perm 440 -exec chmod 644 {} \;
	find . -perm 777 -exec chmod 755 {} \;
	find . -perm 775 -exec chmod 755 {} \;
	find . -perm 511 -exec chmod 755 {} \;
	find . -perm 711 -exec chmod 755 {} \;
	find . -perm 555 -exec chmod 755 {} \;
# Installation:
	mkdir -p ${Installation_Root}/usr/share/fonts/TTF
	cp -a *.ttf ${Installation_Root}/usr/share/fonts/TTF
# Documentation:
	mkdir -p ${Installation_Root}/usr/doc/${Source_Dir}/
	for Doc in {${Standard_Docs},${Special_Docs}} ; do
		if [ -e ${Doc} ] ; then
			cp ${Doc} ${Installation_Root}/usr/doc/${Source_Dir}/
		fi
	done
	(
		cd ${Installation_Root}/usr/doc/${Source_Dir}/
		find . -name "*" -size 0c -exec rm {} \;
	)
# Post-build Cleanup:
	cd ${Build_Root}
	rm -rf ${Source_Dir}
done
# Symlinking this file to /etc/fonts/conf.d/ will allow you to use
# liberation fonts instead of the microsoft truetype fonts.
	mkdir -p ${Installation_Root}/etc/fonts/conf.avail
	zcat 59-liberation-fonts.conf.gz > \
		${Installation_Root}/etc/fonts/conf.avail/59-liberation-fonts.conf
	mkdir -p ${Installation_Root}/etc/fonts/conf.d
	(
		cd ${Installation_Root}/etc/fonts/conf.d/ ;
		ln -s ../conf.avail/59-liberation-fonts.conf 59-liberation-fonts.conf
	)



# Build encodings:
#_______________________________________________________________________



for File in ${Sources_encodings} ; do
	Source_Dir="$(basename ${File} .tar.bz2)"
	rm -rf ${Source_Dir}
	tar jxvf ${File}
	cd ${Source_Dir}
# Ensure proper permissions and ownership:
	chown -R root:root .
	find . -perm 666 -exec chmod 644 {} \;
	find . -perm 664 -exec chmod 644 {} \;
	find . -perm 600 -exec chmod 644 {} \;
	find . -perm 444 -exec chmod 644 {} \;
	find . -perm 400 -exec chmod 644 {} \;
	find . -perm 440 -exec chmod 644 {} \;
	find . -perm 777 -exec chmod 755 {} \;
	find . -perm 775 -exec chmod 755 {} \;
	find . -perm 511 -exec chmod 755 {} \;
	find . -perm 711 -exec chmod 755 {} \;
	find . -perm 555 -exec chmod 755 {} \;
# Configuration:
	./configure \
	CFLAGS="-O2 -march=${Flag_Arch} -mtune=${Flag_Tune}" \
	CXXFLAGS="${CFLAGS}" \
	PKG_CONFIG_PATH=/usr/lib/pkgconfig \
	--prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--libexecdir=/usr/libexec \
	--sysconfdir=/etc \
	--sharedstatedir=/usr/com \
	--localstatedir=/var \
	--libdir=/usr/lib \
	--includedir=/usr/include \
	--oldincludedir=/usr/include \
	--infodir=/usr/info \
	--mandir=/usr/man \
	--with-encodingsdir=/usr/share/fonts/encodings \
	--silent
# Compilation:
	make --silent || exit 1
	make check || exit 1
# Installation:
	make install --silent  DESTDIR=${Installation_Root} || exit 1
# Documentation:
	mkdir -p ${Installation_Root}/usr/doc/${Source_Dir}/
	for Doc in {${Standard_Docs},${Special_Docs}} ; do
		if [ -e ${Doc} ] ; then
			cp ${Doc} ${Installation_Root}/usr/doc/${Source_Dir}/
		fi
	done
	(
		cd ${Installation_Root}/usr/doc/${Source_Dir}/
		find . -name "*" -size 0c -exec rm {} \;
	)
# Post-build Cleanup:
	cd ${Build_Root}
	rm -rf ${Source_Dir}
done



# Build font-alias:
#_______________________________________________________________________



for File in ${Sources_font_alias} ; do
	Source_Dir="$(basename ${File} .tar.bz2)"
	rm -rf ${Source_Dir}
	tar jxvf ${File}
	cd ${Source_Dir}
# Ensure proper permissions and ownership:
	chown -R root:root .
	find . -perm 666 -exec chmod 644 {} \;
	find . -perm 664 -exec chmod 644 {} \;
	find . -perm 600 -exec chmod 644 {} \;
	find . -perm 444 -exec chmod 644 {} \;
	find . -perm 400 -exec chmod 644 {} \;
	find . -perm 440 -exec chmod 644 {} \;
	find . -perm 777 -exec chmod 755 {} \;
	find . -perm 775 -exec chmod 755 {} \;
	find . -perm 511 -exec chmod 755 {} \;
	find . -perm 711 -exec chmod 755 {} \;
	find . -perm 555 -exec chmod 755 {} \;
# Configuration:
	./configure \
	CFLAGS="-O2 -march=${Flag_Arch} -mtune=${Flag_Tune}" \
	CXXFLAGS="${CFLAGS}" \
	PKG_CONFIG_PATH=/usr/lib/pkgconfig \
	--prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--libexecdir=/usr/libexec \
	--sysconfdir=/etc \
	--sharedstatedir=/usr/com \
	--localstatedir=/var \
	--libdir=/usr/lib \
	--includedir=/usr/include \
	--oldincludedir=/usr/include \
	--infodir=/usr/info \
	--mandir=/usr/man \
	--with-top-fontdir=/usr/share/fonts \
	--silent
# Compilation:
	make --silent || exit 1
	make check || exit 1
# Installation:
	make install --silent  DESTDIR=${Installation_Root} || exit 1
# Documentation:
	mkdir -p ${Installation_Root}/usr/doc/${Source_Dir}/
	for Doc in {${Standard_Docs},${Special_Docs}} ; do
		if [ -e ${Doc} ] ; then
			cp ${Doc} ${Installation_Root}/usr/doc/${Source_Dir}/
		fi
	done
	(
		cd ${Installation_Root}/usr/doc/${Source_Dir}/
		find . -name "*" -size 0c -exec rm {} \;
	)
# Post-build Cleanup:
	cd ${Build_Root}
	rm -rf ${Source_Dir}
done


# Build remaining fonts:
#_______________________________________________________________________



for File in ${Sources_Fonts} ; do
	Source_Dir="$(basename ${File} .tar.bz2)"
	rm -rf ${Source_Dir}
	tar jxvf ${File}
	cd ${Source_Dir}
# Ensure proper permissions and ownership:
	chown -R root:root .
	find . -perm 666 -exec chmod 644 {} \;
	find . -perm 664 -exec chmod 644 {} \;
	find . -perm 600 -exec chmod 644 {} \;
	find . -perm 444 -exec chmod 644 {} \;
	find . -perm 400 -exec chmod 644 {} \;
	find . -perm 440 -exec chmod 644 {} \;
	find . -perm 777 -exec chmod 755 {} \;
	find . -perm 775 -exec chmod 755 {} \;
	find . -perm 511 -exec chmod 755 {} \;
	find . -perm 711 -exec chmod 755 {} \;
	find . -perm 555 -exec chmod 755 {} \;
# Configuration:
    perl -p -i -e 's#(^DEFAULT(_|_OTF|_TTF)FONTDIR=)\${libdir}/X11/fonts#\1\$(pkg-config --variable=fontdir fontutil)#' configure.ac
    autoconf
    ./configure \
	--disable-iso8859-3 --disable-iso8859-4 --disable-iso8859-6 \
	--disable-iso8859-10 --disable-iso8859-11 --disable-iso8859-12 \
	--disable-iso8859-13 --disable-iso8859-16
    make
# Compilation:
	make --silent || exit 1
	make check || exit 1
# Installation:
	make install --silent  DESTDIR=${Installation_Root} || exit 1
# Documentation:
	mkdir -p ${Installation_Root}/usr/doc/${Source_Dir}/
	for Doc in {${Standard_Docs},${Special_Docs}} ; do
		if [ -e ${Doc} ] ; then
			cp ${Doc} ${Installation_Root}/usr/doc/${Source_Dir}/
		fi
	done
	(
		cd ${Installation_Root}/usr/doc/${Source_Dir}/
		find . -name "*" -size 0c -exec rm {} \;
	)
# Post-build Cleanup:
	cd ${Build_Root}
	rm -rf ${Source_Dir}
done



# Special routines:
#_______________________________________________________________________



# Now put everything where it really belongs:
	(
		cd ${Installation_Root}/usr/local/lib/X11/fonts || exit 1
		mv 100dpi/* ../../../../share/fonts/100dpi/ || exit 1
		mv 75dpi/* ../../../../share/fonts/75dpi/ || exit 1
		mv OTF/* ../../../../share/fonts/OTF/ || exit 1
		mv TTF/* ../../../../share/fonts/TTF/ || exit 1
		mv Type1/* ../../../../share/fonts/Type1/ || exit 1
		mv cyrillic/* ../../../../share/fonts/cyrillic/ || exit 1
		mv misc/* ../../../../share/fonts/misc/ || exit 1
	)
	(
		cd ${Installation_Root}/usr/ || exit 1
		rm -rf local || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/X11/fonts || exit 1
		mv Type1/* ../../../share/fonts/Type1/ || exit 1
		mv misc/* ../../../share/fonts/misc/ || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/ || exit 1
		rm -rf X11 || exit 1
	)
# Create X font files indexes for new installations:
	(
		cd ${Installation_Root}/usr/share/fonts/encodings \ || exit 1
			mkfontscale -e . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/encodings/large \ || exit 1
			mkfontscale -e . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/100dpi \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/75dpi \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/cyrillic \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/misc \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/OTF \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/Speedo \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/TTF \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/Type1 \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
	(
		cd ${Installation_Root}/usr/share/fonts/util \ || exit 1
		mkfontscale . || exit 1
		mkfontdir . || exit 1
		fc-cache . || exit 1
	)
# Post-install routine:
	mkdir -p ${Installation_Root}/install
	zcat ${Build_Root}/xorg-fonts-base-doinst.sh.gz > \
		${Installation_Root}/install/doinst.sh



# Packaging:
#_______________________________________________________________________



# Strip binaries:
	(
		cd ${Installation_Root}
		find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
		find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
	)
# Compress the man pages.
	if [ -d ${Installation_Root}/usr/man ]; then
	(
		cd ${Installation_Root}/usr/man
		gzip -9 */*
	)
	fi
# Create dep file:
	(
		cd ${Installation_Root}
		requiredbuilder -z ${Installation_Root} >> ${Build_Root}/${Package}.dep
	)
# Compress the package:
    (
      cd ${Installation_Root}
      makepkg -l y -c n ${Build_Root}/${Package}.tgz
    )
# Calculate the MD5 sum:
    cd ${Build_Root}
      md5sum ${Package}.tgz > ${Package}.md5
# Create a source package and checksum:
	mkdir ${Package}-src
	cp  ${Sources_TTF} ${Sources_encodings} ${Sources_font_alias} ${Sources_Fonts} ${Patches} ${Scripts} ${Miscellaneous} \
		${Package}-src
	tar jcf ${Package}-src.tar.bz2 ${Package}-src
	md5sum ${Package}-src.tar.bz2 > ${Package}-src.md5
# Post-build cleanup:
	rm -rf ${Installation_Root} ${Package}-src



# Changelog:
#_______________________________________________________________________



# ~ Thu Feb 5th 2009	Michael Verret "axxium" <michael.verret@gmail.com>
# ~ Software: xorg-fonts-base-7.3
# ~ Release: 60
# ~ Build: 1
# ~ Diff: Initial build containing:
# ~		d3-calligraphism-ttf-1.1
# ~		encodings-1.0.0
# ~		font-adobe-100dpi-1.0.0
# ~		font-adobe-75dpi-1.0.0
# ~		font-adobe-utopia-100dpi-1.0.1
# ~		font-adobe-utopia-75dpi-1.0.1
# ~		font-adobe-utopia-type1-1.0.1
# ~		font-alias-1.0.1
# ~		font-arabic-misc-1.0.0
# ~		font-bh-100dpi-1.0.0
# ~		font-bh-75dpi-1.0.0
# ~		font-bh-lucidatypewriter-100dpi-1.0.0
# ~		font-bh-lucidatypewriter-75dpi-1.0.0
# ~		font-bh-ttf-1.0.0
# ~		font-bh-type1-1.0.0
# ~		font-bitstream-100dpi-1.0.0
# ~		font-bitstream-75dpi-1.0.0
# ~		font-bitstream-type1-1.0.0
# ~		font-cronyx-cyrillic-1.0.0
# ~		font-cursor-misc-1.0.0
# ~		font-daewoo-misc-1.0.0
# ~		font-dec-misc-1.0.0
# ~		font-ibm-type1-1.0.0
# ~		font-isas-misc-1.0.0
# ~		font-jis-misc-1.0.0
# ~		font-micro-misc-1.0.0
# ~		font-misc-cyrillic-1.0.0
# ~		font-misc-ethiopic-1.0.0
# ~		font-misc-meltho-1.0.0
# ~		font-misc-misc-1.0.0
# ~		font-mutt-misc-1.0.0
# ~		font-schumacher-misc-1.0.0
# ~		font-screen-cyrillic-1.0.0
# ~		font-sony-misc-1.0.0
# ~		font-sun-misc-1.0.0
# ~		font-winitzki-cyrillic-1.0.0
# ~		font-xfree86-type1-1.0.0
# ~		liberation-fonts-1.04.93.devel
